{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "from IPython.display import clear_output, Markdown, Math\n",
    "import ipywidgets as widgets\n",
    "import os\n",
    "import unicodedata as uni\n",
    "import numpy as np"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# emoji-table"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "* importing unicode standard:"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [],
   "source": [
    "unicode_table = pd.read_csv('UnicodeData.txt', delimiter=';', comment='#', names=['id','description','2','3','4','5','6','7','8','9','10','11','12','13','14',])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>id</th>\n",
       "      <th>description</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>0000</td>\n",
       "      <td>&lt;control&gt;</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0001</td>\n",
       "      <td>&lt;control&gt;</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0002</td>\n",
       "      <td>&lt;control&gt;</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0003</td>\n",
       "      <td>&lt;control&gt;</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0004</td>\n",
       "      <td>&lt;control&gt;</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "     id description\n",
       "0  0000   <control>\n",
       "1  0001   <control>\n",
       "2  0002   <control>\n",
       "3  0003   <control>\n",
       "4  0004   <control>"
      ]
     },
     "execution_count": 3,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "unicode_table = unicode_table[['id','description']]\n",
    "unicode_table.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "* getting set of used emojis"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "**imported Emojis**\n",
       ">🀄🧵🧶🃏🤐🤑🤒🤓🤔🤕🤖🤗🤘🤙🤚🤛🤜🤝🤞🤟🤠🤡🤢🤣🤤🤥🤦🤧🤨🤩🤪🤫🤬🤭🤮🤯🤰🤱🤲🤳🤴🤵🤶🤷🤸🤹🤺🇮🤼🤽🤾🥀🥁🥂🥃🥄🥅🇰🥇🥈🥉🥊🥋🥌🥍🥎🥏🥐🥑🥒🥓🥔🥕🥖🥗🥘🥙🥚🥛🥜🥝🥞🥟🥠🥡🥢🥣🥤🥥🥦🥧🥨🥩🥪🥫🥬🥭🥮🥯🥰🥳🥴🥵🥶🥺🥼🥽🥾🥿🦀🦁🦂🦃🦄🦅🦆🦇🦈🦉🦊🦋🦌🦍🆎🦎🦏🆑🆒🆓🆔🆕🆖🆗🆘🆙🆚🦒🦓🦔🦕🦖🦗🦘🦙🦚🦛🦜🦝🦞🦟🦠🦡🦢🧸🦰🦱🦲🦳🦴🦵🦶🦷🦸🦹🧀🧁🧂🧐🧑🧒🧓🧔🧕🧖🧗🧘🧙🧚🧛🧜🧝🧞🧟🧠🧡🧢🧣🧤🧥🇦🇧🇨🇩🇪🇫🧬🇭🧭🇯🧮🧯🇬🧱🧲🧳🧴🇷🇸🇹🇺🇻🇼🇽🇾🇿🧷🈁🧹🧺🧻🧼🧽🧾🧿🈚🈯🈲🈳🈴🈵🈶🈸🈹🈺🉐🉑🌀🌁🌂🌃🌄🌅🌆🌇🌈🌉🌊🌋🌌🌍🌎🌏🌐🌑🌒🌓🌔🌕🌖🌗🌘🌙🌚🌛🌜🌝🌞🌟⌚⌛⬛⬜🌠🌭🌮🌯🌰🌱🌲🌳🌴🌵🌷🌸🌹🌺🌻🌼🌽🌾🌿🍀🍁🍂🍃🍄🍅🍆🍇🍈🍉🍊🍋🍌🍍🍎🍏⭐🍐🍑🍒🍓⭕🍔🍕🍖🍗🍘🍙🍚🍛🍜🍝🍞🍟🍠🍡🍢🍣🍤🍥🍦🍧🍨🍩🍪🍫🍮🍬🍭🍯🍰🍳🍱🍲🍴🍵🍸🍶🍷🍹🍺🍻🍼🍾🍿🎀🎁🎂🎃🎅🎄🎆🎈🎉🎊🎋🎌🎍🎇🎏🎐🎎🎑🎒🎓🎠🎡🎢🎣🎤🎥🎦🎧🎨🎩🎪🎫🎬🎭🎮🎯🎰🎱🎲🎳🎴🎵🎶🎷🎸🎹🎺🎻🎼🎽🎾🎿🏀🏁🏂🏃🏄🏅🏆🏇🏈🏉🏊🏏🏐🏑🏒🏓🏠🏡🏢🏣🏤🏥🏦🏧🏨🏩🏪🏫🏬🏭🏮🏯🏰⏩⏪⏫🏴⏬⏰⏳🏸🏹🏺🐀🐁🐂🐃🐄🐅🐆🐇🐈🐉🐊🐋🐌🐍🐎🐏🐐🐑🐒🐓🐔🐕🐖🐗🐘🐙🐚🐛🐜🐝🐞🐟🐠🐡🐢🐣🐤🐥🐦🐧🐨🐩🐪🐫🐬🐭🐮🐯🐰🐱🐲🐳🐴🐵🐶🐷🐸🐹🐺🐻🐼🐽🐾👀👂👃👄👅👆👇👈👉👊👋👌👍👎👏👐👑👒👓👔👕👖👗👘👙👚👛👜👝👞👟👠👡👢👣👤👥👦👧👨👩👪👫👬👭👮👯👰👱👲👳👴👵👶👷👸👹👺👻👼👽👾👿💀💁💂💃💄💅💆💇💈💉💊💋💌💍💎💏💐💑💒💓💔💕💖💗💘💙💚💛💜💝💞💟💠💡💢💣💤💥💦💧💨💩💪💫💬💭💮💯💰💱💲💳💴💵💶💷💸💹💺💻💼💽💾💿📀📁📂📃📄📅📆📇📈📉📊📋📌📍📎📏📐📑📒📓📔📕📖📗📘📙📚📛📜📝📞📟📠📡📢📣📤📥📦📧📨📩📪📫📬📭📮📯📰📱📲📳📴📵📶📷📸📹📺📻📼📿🔀🔁🔂🔃🔄🔅🔆🔇🔈🔉🔊🔋🔌🔍🔎🔏🔐🔑🔒🔓🔔🔕🔖🔗🔘🔙🔚🔛🔜🔝🔞🔟🔠🔡🔢🔣🔤🔥🔦🔧🔨🔩🔪🔫🔬🔭🔮🔯🔰🔱🔲🔳🔴🔵🔶🔷🔸🔹🔺🔻🔼🔽🕋🕌🕍🕎🕐🕑🕒🕓🕔🕕🕖🕗🕘🕙🕚🕛🕜🕝🕞🕟🕠🕡🕢🕣🕤🕥🕦🕧🕺🖕🖖🖤🗻🗼◽◾🗽🗾🗿😀😁😂😃😄😅😆😇😈😉😊😋😌😍😎😏😐😑☔☕😒😓😔😕😖😗😘😙😚😛😜😝😞😟😠😡😢😣😤😥😦😧😨😩😪😫😬😭😮😯😰😱😲😳😴😵😶😷😸😹😺😻😼😽😾😿🙀🙁🙂🙃♈♉♊♋♌♍♎♏♐♑♒♓🙋🙌🙍🙎🙏♿🚀🚁🚂🚃🚄🚅🚆🚇🚈🚉🚊🚋🚌🚍🚎🚏🚐🚑🚒⚓🚓🚔🚕🚖🚗🚘🚙🚚🚛🚜🚝🚞🚟⚡🚠🚡🚢🚣🚤🚥🚦🚧⚪⚫🚨🚩🚪🚫🚬🚭🚮🚯🚰🚱🚲🚳🚴🚵🚶🚷🚸⚽⚾🚹🚺🚻🚼🚽⛄⛅🚾🚿🛀🛁🛂🛃🛄🛅⛎🛌🛐🛑🛒⛔🇱⛪🛫🛬🇲⛲⛳🛴⛵🛵🛶🛷🛸⛺🛹⛽✅🧦🙄🇳✊✋🙅🙆🙇🙈🧧🙉🇴🙊✨🧨🇵❌❎🧩🇶❓❔❕❗🧪🧫➕➖➗🦐🦑➰➿🧰"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "f = open('emoji-list.txt','r',encoding='utf8')\n",
    "\n",
    "emoji_set = [] # empty list\n",
    "\n",
    "for line in f:\n",
    "    emoji_set.append(ord(line[0]))\n",
    "\n",
    "# converting to set:\n",
    "emoji_set = set(emoji_set)\n",
    "display(Markdown(\"**imported Emojis**\\n>\" + \"\".join([chr(x) for x in emoji_set])))"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "* getting description to emojis"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "🀄 MAHJONG TILE RED DRAGON\n",
      "🧵 SPOOL OF THREAD\n",
      "🧶 BALL OF YARN\n",
      "🃏 PLAYING CARD BLACK JOKER\n",
      "🤐 ZIPPER-MOUTH FACE\n",
      "🤑 MONEY-MOUTH FACE\n",
      "🤒 FACE WITH THERMOMETER\n",
      "🤓 NERD FACE\n",
      "🤔 THINKING FACE\n",
      "🤕 FACE WITH HEAD-BANDAGE\n",
      "🤖 ROBOT FACE\n",
      "🤗 HUGGING FACE\n",
      "🤘 SIGN OF THE HORNS\n",
      "🤙 CALL ME HAND\n",
      "🤚 RAISED BACK OF HAND\n",
      "🤛 LEFT-FACING FIST\n",
      "🤜 RIGHT-FACING FIST\n",
      "🤝 HANDSHAKE\n",
      "🤞 HAND WITH INDEX AND MIDDLE FINGERS CROSSED\n",
      "🤟 I LOVE YOU HAND SIGN\n",
      "🤠 FACE WITH COWBOY HAT\n",
      "🤡 CLOWN FACE\n",
      "🤢 NAUSEATED FACE\n",
      "🤣 ROLLING ON THE FLOOR LAUGHING\n",
      "🤤 DROOLING FACE\n",
      "🤥 LYING FACE\n",
      "🤦 FACE PALM\n",
      "🤧 SNEEZING FACE\n",
      "🤨 FACE WITH ONE EYEBROW RAISED\n",
      "🤩 GRINNING FACE WITH STAR EYES\n",
      "🤪 GRINNING FACE WITH ONE LARGE AND ONE SMALL EYE\n",
      "🤫 FACE WITH FINGER COVERING CLOSED LIPS\n",
      "🤬 SERIOUS FACE WITH SYMBOLS COVERING MOUTH\n",
      "🤭 SMILING FACE WITH SMILING EYES AND HAND COVERING MOUTH\n",
      "🤮 FACE WITH OPEN MOUTH VOMITING\n",
      "🤯 SHOCKED FACE WITH EXPLODING HEAD\n",
      "🤰 PREGNANT WOMAN\n",
      "🤱 BREAST-FEEDING\n",
      "🤲 PALMS UP TOGETHER\n",
      "🤳 SELFIE\n",
      "🤴 PRINCE\n",
      "🤵 MAN IN TUXEDO\n",
      "🤶 MOTHER CHRISTMAS\n",
      "🤷 SHRUG\n",
      "🤸 PERSON DOING CARTWHEEL\n",
      "🤹 JUGGLING\n",
      "🤺 FENCER\n",
      "🇮 REGIONAL INDICATOR SYMBOL LETTER I\n",
      "🤼 WRESTLERS\n",
      "🤽 WATER POLO\n",
      "🤾 HANDBALL\n",
      "🥀 WILTED FLOWER\n",
      "🥁 DRUM WITH DRUMSTICKS\n",
      "🥂 CLINKING GLASSES\n",
      "🥃 TUMBLER GLASS\n",
      "🥄 SPOON\n",
      "🥅 GOAL NET\n",
      "🇰 REGIONAL INDICATOR SYMBOL LETTER K\n",
      "🥇 FIRST PLACE MEDAL\n",
      "🥈 SECOND PLACE MEDAL\n",
      "🥉 THIRD PLACE MEDAL\n",
      "🥊 BOXING GLOVE\n",
      "🥋 MARTIAL ARTS UNIFORM\n",
      "🥌 CURLING STONE\n",
      "🥍 LACROSSE STICK AND BALL\n",
      "🥎 SOFTBALL\n",
      "🥏 FLYING DISC\n",
      "🥐 CROISSANT\n",
      "🥑 AVOCADO\n",
      "🥒 CUCUMBER\n",
      "🥓 BACON\n",
      "🥔 POTATO\n",
      "🥕 CARROT\n",
      "🥖 BAGUETTE BREAD\n",
      "🥗 GREEN SALAD\n",
      "🥘 SHALLOW PAN OF FOOD\n",
      "🥙 STUFFED FLATBREAD\n",
      "🥚 EGG\n",
      "🥛 GLASS OF MILK\n",
      "🥜 PEANUTS\n",
      "🥝 KIWIFRUIT\n",
      "🥞 PANCAKES\n",
      "🥟 DUMPLING\n",
      "🥠 FORTUNE COOKIE\n",
      "🥡 TAKEOUT BOX\n",
      "🥢 CHOPSTICKS\n",
      "🥣 BOWL WITH SPOON\n",
      "🥤 CUP WITH STRAW\n",
      "🥥 COCONUT\n",
      "🥦 BROCCOLI\n",
      "🥧 PIE\n",
      "🥨 PRETZEL\n",
      "🥩 CUT OF MEAT\n",
      "🥪 SANDWICH\n",
      "🥫 CANNED FOOD\n",
      "🥬 LEAFY GREEN\n",
      "🥭 MANGO\n",
      "🥮 MOON CAKE\n",
      "🥯 BAGEL\n",
      "🥰 SMILING FACE WITH SMILING EYES AND THREE HEARTS\n",
      "🥳 FACE WITH PARTY HORN AND PARTY HAT\n",
      "🥴 FACE WITH UNEVEN EYES AND WAVY MOUTH\n",
      "🥵 OVERHEATED FACE\n",
      "🥶 FREEZING FACE\n",
      "🥺 FACE WITH PLEADING EYES\n",
      "🥼 LAB COAT\n",
      "🥽 GOGGLES\n",
      "🥾 HIKING BOOT\n",
      "🥿 FLAT SHOE\n",
      "🦀 CRAB\n",
      "🦁 LION FACE\n",
      "🦂 SCORPION\n",
      "🦃 TURKEY\n",
      "🦄 UNICORN FACE\n",
      "🦅 EAGLE\n",
      "🦆 DUCK\n",
      "🦇 BAT\n",
      "🦈 SHARK\n",
      "🦉 OWL\n",
      "🦊 FOX FACE\n",
      "🦋 BUTTERFLY\n",
      "🦌 DEER\n",
      "🦍 GORILLA\n",
      "🆎 NEGATIVE SQUARED AB\n",
      "🦎 LIZARD\n",
      "🦏 RHINOCEROS\n",
      "🆑 SQUARED CL\n",
      "🆒 SQUARED COOL\n",
      "🆓 SQUARED FREE\n",
      "🆔 SQUARED ID\n",
      "🆕 SQUARED NEW\n",
      "🆖 SQUARED NG\n",
      "🆗 SQUARED OK\n",
      "🆘 SQUARED SOS\n",
      "🆙 SQUARED UP WITH EXCLAMATION MARK\n",
      "🆚 SQUARED VS\n",
      "🦒 GIRAFFE FACE\n",
      "🦓 ZEBRA FACE\n",
      "🦔 HEDGEHOG\n",
      "🦕 SAUROPOD\n",
      "🦖 T-REX\n",
      "🦗 CRICKET\n",
      "🦘 KANGAROO\n",
      "🦙 LLAMA\n",
      "🦚 PEACOCK\n",
      "🦛 HIPPOPOTAMUS\n",
      "🦜 PARROT\n",
      "🦝 RACCOON\n",
      "🦞 LOBSTER\n",
      "🦟 MOSQUITO\n",
      "🦠 MICROBE\n",
      "🦡 BADGER\n",
      "🦢 SWAN\n",
      "🧸 TEDDY BEAR\n",
      "🦰 EMOJI COMPONENT RED HAIR\n",
      "🦱 EMOJI COMPONENT CURLY HAIR\n",
      "🦲 EMOJI COMPONENT BALD\n",
      "🦳 EMOJI COMPONENT WHITE HAIR\n",
      "🦴 BONE\n",
      "🦵 LEG\n",
      "🦶 FOOT\n",
      "🦷 TOOTH\n",
      "🦸 SUPERHERO\n",
      "🦹 SUPERVILLAIN\n",
      "🧀 CHEESE WEDGE\n",
      "🧁 CUPCAKE\n",
      "🧂 SALT SHAKER\n",
      "🧐 FACE WITH MONOCLE\n",
      "🧑 ADULT\n",
      "🧒 CHILD\n",
      "🧓 OLDER ADULT\n",
      "🧔 BEARDED PERSON\n",
      "🧕 PERSON WITH HEADSCARF\n",
      "🧖 PERSON IN STEAMY ROOM\n",
      "🧗 PERSON CLIMBING\n",
      "🧘 PERSON IN LOTUS POSITION\n",
      "🧙 MAGE\n",
      "🧚 FAIRY\n",
      "🧛 VAMPIRE\n",
      "🧜 MERPERSON\n",
      "🧝 ELF\n",
      "🧞 GENIE\n",
      "🧟 ZOMBIE\n",
      "🧠 BRAIN\n",
      "🧡 ORANGE HEART\n",
      "🧢 BILLED CAP\n",
      "🧣 SCARF\n",
      "🧤 GLOVES\n",
      "🧥 COAT\n",
      "🇦 REGIONAL INDICATOR SYMBOL LETTER A\n",
      "🇧 REGIONAL INDICATOR SYMBOL LETTER B\n",
      "🇨 REGIONAL INDICATOR SYMBOL LETTER C\n",
      "🇩 REGIONAL INDICATOR SYMBOL LETTER D\n",
      "🇪 REGIONAL INDICATOR SYMBOL LETTER E\n",
      "🇫 REGIONAL INDICATOR SYMBOL LETTER F\n",
      "🧬 DNA DOUBLE HELIX\n",
      "🇭 REGIONAL INDICATOR SYMBOL LETTER H\n",
      "🧭 COMPASS\n",
      "🇯 REGIONAL INDICATOR SYMBOL LETTER J\n",
      "🧮 ABACUS\n",
      "🧯 FIRE EXTINGUISHER\n",
      "🇬 REGIONAL INDICATOR SYMBOL LETTER G\n",
      "🧱 BRICK\n",
      "🧲 MAGNET\n",
      "🧳 LUGGAGE\n",
      "🧴 LOTION BOTTLE\n",
      "🇷 REGIONAL INDICATOR SYMBOL LETTER R\n",
      "🇸 REGIONAL INDICATOR SYMBOL LETTER S\n",
      "🇹 REGIONAL INDICATOR SYMBOL LETTER T\n",
      "🇺 REGIONAL INDICATOR SYMBOL LETTER U\n",
      "🇻 REGIONAL INDICATOR SYMBOL LETTER V\n",
      "🇼 REGIONAL INDICATOR SYMBOL LETTER W\n",
      "🇽 REGIONAL INDICATOR SYMBOL LETTER X\n",
      "🇾 REGIONAL INDICATOR SYMBOL LETTER Y\n",
      "🇿 REGIONAL INDICATOR SYMBOL LETTER Z\n",
      "🧷 SAFETY PIN\n",
      "🈁 SQUARED KATAKANA KOKO\n",
      "🧹 BROOM\n",
      "🧺 BASKET\n",
      "🧻 ROLL OF PAPER\n",
      "🧼 BAR OF SOAP\n",
      "🧽 SPONGE\n",
      "🧾 RECEIPT\n",
      "🧿 NAZAR AMULET\n",
      "🈚 SQUARED CJK UNIFIED IDEOGRAPH-7121\n",
      "🈯 SQUARED CJK UNIFIED IDEOGRAPH-6307\n",
      "🈲 SQUARED CJK UNIFIED IDEOGRAPH-7981\n",
      "🈳 SQUARED CJK UNIFIED IDEOGRAPH-7A7A\n",
      "🈴 SQUARED CJK UNIFIED IDEOGRAPH-5408\n",
      "🈵 SQUARED CJK UNIFIED IDEOGRAPH-6E80\n",
      "🈶 SQUARED CJK UNIFIED IDEOGRAPH-6709\n",
      "🈸 SQUARED CJK UNIFIED IDEOGRAPH-7533\n",
      "🈹 SQUARED CJK UNIFIED IDEOGRAPH-5272\n",
      "🈺 SQUARED CJK UNIFIED IDEOGRAPH-55B6\n",
      "🉐 CIRCLED IDEOGRAPH ADVANTAGE\n",
      "🉑 CIRCLED IDEOGRAPH ACCEPT\n",
      "🌀 CYCLONE\n",
      "🌁 FOGGY\n",
      "🌂 CLOSED UMBRELLA\n",
      "🌃 NIGHT WITH STARS\n",
      "🌄 SUNRISE OVER MOUNTAINS\n",
      "🌅 SUNRISE\n",
      "🌆 CITYSCAPE AT DUSK\n",
      "🌇 SUNSET OVER BUILDINGS\n",
      "🌈 RAINBOW\n",
      "🌉 BRIDGE AT NIGHT\n",
      "🌊 WATER WAVE\n",
      "🌋 VOLCANO\n",
      "🌌 MILKY WAY\n",
      "🌍 EARTH GLOBE EUROPE-AFRICA\n",
      "🌎 EARTH GLOBE AMERICAS\n",
      "🌏 EARTH GLOBE ASIA-AUSTRALIA\n",
      "🌐 GLOBE WITH MERIDIANS\n",
      "🌑 NEW MOON SYMBOL\n",
      "🌒 WAXING CRESCENT MOON SYMBOL\n",
      "🌓 FIRST QUARTER MOON SYMBOL\n",
      "🌔 WAXING GIBBOUS MOON SYMBOL\n",
      "🌕 FULL MOON SYMBOL\n",
      "🌖 WANING GIBBOUS MOON SYMBOL\n",
      "🌗 LAST QUARTER MOON SYMBOL\n",
      "🌘 WANING CRESCENT MOON SYMBOL\n",
      "🌙 CRESCENT MOON\n",
      "🌚 NEW MOON WITH FACE\n",
      "🌛 FIRST QUARTER MOON WITH FACE\n",
      "🌜 LAST QUARTER MOON WITH FACE\n",
      "🌝 FULL MOON WITH FACE\n",
      "🌞 SUN WITH FACE\n",
      "🌟 GLOWING STAR\n",
      "⌚ WATCH\n",
      "⌛ HOURGLASS\n",
      "⬛ BLACK LARGE SQUARE\n",
      "⬜ WHITE LARGE SQUARE\n",
      "🌠 SHOOTING STAR\n",
      "🌭 HOT DOG\n",
      "🌮 TACO\n",
      "🌯 BURRITO\n",
      "🌰 CHESTNUT\n",
      "🌱 SEEDLING\n",
      "🌲 EVERGREEN TREE\n",
      "🌳 DECIDUOUS TREE\n",
      "🌴 PALM TREE\n",
      "🌵 CACTUS\n",
      "🌷 TULIP\n",
      "🌸 CHERRY BLOSSOM\n",
      "🌹 ROSE\n",
      "🌺 HIBISCUS\n",
      "🌻 SUNFLOWER\n",
      "🌼 BLOSSOM\n",
      "🌽 EAR OF MAIZE\n",
      "🌾 EAR OF RICE\n",
      "🌿 HERB\n",
      "🍀 FOUR LEAF CLOVER\n",
      "🍁 MAPLE LEAF\n",
      "🍂 FALLEN LEAF\n",
      "🍃 LEAF FLUTTERING IN WIND\n",
      "🍄 MUSHROOM\n",
      "🍅 TOMATO\n",
      "🍆 AUBERGINE\n",
      "🍇 GRAPES\n",
      "🍈 MELON\n",
      "🍉 WATERMELON\n",
      "🍊 TANGERINE\n",
      "🍋 LEMON\n",
      "🍌 BANANA\n",
      "🍍 PINEAPPLE\n",
      "🍎 RED APPLE\n",
      "🍏 GREEN APPLE\n",
      "⭐ WHITE MEDIUM STAR\n",
      "🍐 PEAR\n",
      "🍑 PEACH\n",
      "🍒 CHERRIES\n",
      "🍓 STRAWBERRY\n",
      "⭕ HEAVY LARGE CIRCLE\n",
      "🍔 HAMBURGER\n",
      "🍕 SLICE OF PIZZA\n",
      "🍖 MEAT ON BONE\n",
      "🍗 POULTRY LEG\n",
      "🍘 RICE CRACKER\n",
      "🍙 RICE BALL\n",
      "🍚 COOKED RICE\n",
      "🍛 CURRY AND RICE\n",
      "🍜 STEAMING BOWL\n",
      "🍝 SPAGHETTI\n",
      "🍞 BREAD\n",
      "🍟 FRENCH FRIES\n",
      "🍠 ROASTED SWEET POTATO\n",
      "🍡 DANGO\n",
      "🍢 ODEN\n",
      "🍣 SUSHI\n",
      "🍤 FRIED SHRIMP\n",
      "🍥 FISH CAKE WITH SWIRL DESIGN\n",
      "🍦 SOFT ICE CREAM\n",
      "🍧 SHAVED ICE\n",
      "🍨 ICE CREAM\n",
      "🍩 DOUGHNUT\n",
      "🍪 COOKIE\n",
      "🍫 CHOCOLATE BAR\n",
      "🍮 CUSTARD\n",
      "🍬 CANDY\n",
      "🍭 LOLLIPOP\n",
      "🍯 HONEY POT\n",
      "🍰 SHORTCAKE\n",
      "🍳 COOKING\n",
      "🍱 BENTO BOX\n",
      "🍲 POT OF FOOD\n",
      "🍴 FORK AND KNIFE\n",
      "🍵 TEACUP WITHOUT HANDLE\n",
      "🍸 COCKTAIL GLASS\n",
      "🍶 SAKE BOTTLE AND CUP\n",
      "🍷 WINE GLASS\n",
      "🍹 TROPICAL DRINK\n",
      "🍺 BEER MUG\n",
      "🍻 CLINKING BEER MUGS\n",
      "🍼 BABY BOTTLE\n",
      "🍾 BOTTLE WITH POPPING CORK\n",
      "🍿 POPCORN\n",
      "🎀 RIBBON\n",
      "🎁 WRAPPED PRESENT\n",
      "🎂 BIRTHDAY CAKE\n",
      "🎃 JACK-O-LANTERN\n",
      "🎅 FATHER CHRISTMAS\n",
      "🎄 CHRISTMAS TREE\n",
      "🎆 FIREWORKS\n",
      "🎈 BALLOON\n",
      "🎉 PARTY POPPER\n",
      "🎊 CONFETTI BALL\n",
      "🎋 TANABATA TREE\n",
      "🎌 CROSSED FLAGS\n",
      "🎍 PINE DECORATION\n",
      "🎇 FIREWORK SPARKLER\n",
      "🎏 CARP STREAMER\n",
      "🎐 WIND CHIME\n",
      "🎎 JAPANESE DOLLS\n",
      "🎑 MOON VIEWING CEREMONY\n",
      "🎒 SCHOOL SATCHEL\n",
      "🎓 GRADUATION CAP\n",
      "🎠 CAROUSEL HORSE\n",
      "🎡 FERRIS WHEEL\n",
      "🎢 ROLLER COASTER\n",
      "🎣 FISHING POLE AND FISH\n",
      "🎤 MICROPHONE\n",
      "🎥 MOVIE CAMERA\n",
      "🎦 CINEMA\n",
      "🎧 HEADPHONE\n",
      "🎨 ARTIST PALETTE\n",
      "🎩 TOP HAT\n",
      "🎪 CIRCUS TENT\n",
      "🎫 TICKET\n",
      "🎬 CLAPPER BOARD\n",
      "🎭 PERFORMING ARTS\n",
      "🎮 VIDEO GAME\n",
      "🎯 DIRECT HIT\n",
      "🎰 SLOT MACHINE\n",
      "🎱 BILLIARDS\n",
      "🎲 GAME DIE\n",
      "🎳 BOWLING\n",
      "🎴 FLOWER PLAYING CARDS\n",
      "🎵 MUSICAL NOTE\n",
      "🎶 MULTIPLE MUSICAL NOTES\n",
      "🎷 SAXOPHONE\n",
      "🎸 GUITAR\n",
      "🎹 MUSICAL KEYBOARD\n",
      "🎺 TRUMPET\n",
      "🎻 VIOLIN\n",
      "🎼 MUSICAL SCORE\n",
      "🎽 RUNNING SHIRT WITH SASH\n",
      "🎾 TENNIS RACQUET AND BALL\n",
      "🎿 SKI AND SKI BOOT\n",
      "🏀 BASKETBALL AND HOOP\n",
      "🏁 CHEQUERED FLAG\n",
      "🏂 SNOWBOARDER\n",
      "🏃 RUNNER\n",
      "🏄 SURFER\n",
      "🏅 SPORTS MEDAL\n",
      "🏆 TROPHY\n",
      "🏇 HORSE RACING\n",
      "🏈 AMERICAN FOOTBALL\n",
      "🏉 RUGBY FOOTBALL\n",
      "🏊 SWIMMER\n",
      "🏏 CRICKET BAT AND BALL\n",
      "🏐 VOLLEYBALL\n",
      "🏑 FIELD HOCKEY STICK AND BALL\n",
      "🏒 ICE HOCKEY STICK AND PUCK\n",
      "🏓 TABLE TENNIS PADDLE AND BALL\n",
      "🏠 HOUSE BUILDING\n",
      "🏡 HOUSE WITH GARDEN\n",
      "🏢 OFFICE BUILDING\n",
      "🏣 JAPANESE POST OFFICE\n",
      "🏤 EUROPEAN POST OFFICE\n",
      "🏥 HOSPITAL\n",
      "🏦 BANK\n",
      "🏧 AUTOMATED TELLER MACHINE\n",
      "🏨 HOTEL\n",
      "🏩 LOVE HOTEL\n",
      "🏪 CONVENIENCE STORE\n",
      "🏫 SCHOOL\n",
      "🏬 DEPARTMENT STORE\n",
      "🏭 FACTORY\n",
      "🏮 IZAKAYA LANTERN\n",
      "🏯 JAPANESE CASTLE\n",
      "🏰 EUROPEAN CASTLE\n",
      "⏩ BLACK RIGHT-POINTING DOUBLE TRIANGLE\n",
      "⏪ BLACK LEFT-POINTING DOUBLE TRIANGLE\n",
      "⏫ BLACK UP-POINTING DOUBLE TRIANGLE\n",
      "🏴 WAVING BLACK FLAG\n",
      "⏬ BLACK DOWN-POINTING DOUBLE TRIANGLE\n",
      "⏰ ALARM CLOCK\n",
      "⏳ HOURGLASS WITH FLOWING SAND\n",
      "🏸 BADMINTON RACQUET AND SHUTTLECOCK\n",
      "🏹 BOW AND ARROW\n",
      "🏺 AMPHORA\n",
      "🐀 RAT\n",
      "🐁 MOUSE\n",
      "🐂 OX\n",
      "🐃 WATER BUFFALO\n",
      "🐄 COW\n",
      "🐅 TIGER\n",
      "🐆 LEOPARD\n",
      "🐇 RABBIT\n",
      "🐈 CAT\n",
      "🐉 DRAGON\n",
      "🐊 CROCODILE\n",
      "🐋 WHALE\n",
      "🐌 SNAIL\n",
      "🐍 SNAKE\n",
      "🐎 HORSE\n",
      "🐏 RAM\n",
      "🐐 GOAT\n",
      "🐑 SHEEP\n",
      "🐒 MONKEY\n",
      "🐓 ROOSTER\n",
      "🐔 CHICKEN\n",
      "🐕 DOG\n",
      "🐖 PIG\n",
      "🐗 BOAR\n",
      "🐘 ELEPHANT\n",
      "🐙 OCTOPUS\n",
      "🐚 SPIRAL SHELL\n",
      "🐛 BUG\n",
      "🐜 ANT\n",
      "🐝 HONEYBEE\n",
      "🐞 LADY BEETLE\n",
      "🐟 FISH\n",
      "🐠 TROPICAL FISH\n",
      "🐡 BLOWFISH\n",
      "🐢 TURTLE\n",
      "🐣 HATCHING CHICK\n",
      "🐤 BABY CHICK\n",
      "🐥 FRONT-FACING BABY CHICK\n",
      "🐦 BIRD\n",
      "🐧 PENGUIN\n",
      "🐨 KOALA\n",
      "🐩 POODLE\n",
      "🐪 DROMEDARY CAMEL\n",
      "🐫 BACTRIAN CAMEL\n",
      "🐬 DOLPHIN\n",
      "🐭 MOUSE FACE\n",
      "🐮 COW FACE\n",
      "🐯 TIGER FACE\n",
      "🐰 RABBIT FACE\n",
      "🐱 CAT FACE\n",
      "🐲 DRAGON FACE\n",
      "🐳 SPOUTING WHALE\n",
      "🐴 HORSE FACE\n",
      "🐵 MONKEY FACE\n",
      "🐶 DOG FACE\n",
      "🐷 PIG FACE\n",
      "🐸 FROG FACE\n",
      "🐹 HAMSTER FACE\n",
      "🐺 WOLF FACE\n",
      "🐻 BEAR FACE\n",
      "🐼 PANDA FACE\n",
      "🐽 PIG NOSE\n",
      "🐾 PAW PRINTS\n",
      "👀 EYES\n",
      "👂 EAR\n",
      "👃 NOSE\n",
      "👄 MOUTH\n",
      "👅 TONGUE\n",
      "👆 WHITE UP POINTING BACKHAND INDEX\n",
      "👇 WHITE DOWN POINTING BACKHAND INDEX\n",
      "👈 WHITE LEFT POINTING BACKHAND INDEX\n",
      "👉 WHITE RIGHT POINTING BACKHAND INDEX\n",
      "👊 FISTED HAND SIGN\n",
      "👋 WAVING HAND SIGN\n",
      "👌 OK HAND SIGN\n",
      "👍 THUMBS UP SIGN\n",
      "👎 THUMBS DOWN SIGN\n",
      "👏 CLAPPING HANDS SIGN\n",
      "👐 OPEN HANDS SIGN\n",
      "👑 CROWN\n",
      "👒 WOMANS HAT\n",
      "👓 EYEGLASSES\n",
      "👔 NECKTIE\n",
      "👕 T-SHIRT\n",
      "👖 JEANS\n",
      "👗 DRESS\n",
      "👘 KIMONO\n",
      "👙 BIKINI\n",
      "👚 WOMANS CLOTHES\n",
      "👛 PURSE\n",
      "👜 HANDBAG\n",
      "👝 POUCH\n",
      "👞 MANS SHOE\n",
      "👟 ATHLETIC SHOE\n",
      "👠 HIGH-HEELED SHOE\n",
      "👡 WOMANS SANDAL\n",
      "👢 WOMANS BOOTS\n",
      "👣 FOOTPRINTS\n",
      "👤 BUST IN SILHOUETTE\n",
      "👥 BUSTS IN SILHOUETTE\n",
      "👦 BOY\n",
      "👧 GIRL\n",
      "👨 MAN\n",
      "👩 WOMAN\n",
      "👪 FAMILY\n",
      "👫 MAN AND WOMAN HOLDING HANDS\n",
      "👬 TWO MEN HOLDING HANDS\n",
      "👭 TWO WOMEN HOLDING HANDS\n",
      "👮 POLICE OFFICER\n",
      "👯 WOMAN WITH BUNNY EARS\n",
      "👰 BRIDE WITH VEIL\n",
      "👱 PERSON WITH BLOND HAIR\n",
      "👲 MAN WITH GUA PI MAO\n",
      "👳 MAN WITH TURBAN\n",
      "👴 OLDER MAN\n",
      "👵 OLDER WOMAN\n",
      "👶 BABY\n",
      "👷 CONSTRUCTION WORKER\n",
      "👸 PRINCESS\n",
      "👹 JAPANESE OGRE\n",
      "👺 JAPANESE GOBLIN\n",
      "👻 GHOST\n",
      "👼 BABY ANGEL\n",
      "👽 EXTRATERRESTRIAL ALIEN\n",
      "👾 ALIEN MONSTER\n",
      "👿 IMP\n",
      "💀 SKULL\n",
      "💁 INFORMATION DESK PERSON\n",
      "💂 GUARDSMAN\n",
      "💃 DANCER\n",
      "💄 LIPSTICK\n",
      "💅 NAIL POLISH\n",
      "💆 FACE MASSAGE\n",
      "💇 HAIRCUT\n",
      "💈 BARBER POLE\n",
      "💉 SYRINGE\n",
      "💊 PILL\n",
      "💋 KISS MARK\n",
      "💌 LOVE LETTER\n",
      "💍 RING\n",
      "💎 GEM STONE\n",
      "💏 KISS\n",
      "💐 BOUQUET\n",
      "💑 COUPLE WITH HEART\n",
      "💒 WEDDING\n",
      "💓 BEATING HEART\n",
      "💔 BROKEN HEART\n",
      "💕 TWO HEARTS\n",
      "💖 SPARKLING HEART\n",
      "💗 GROWING HEART\n",
      "💘 HEART WITH ARROW\n",
      "💙 BLUE HEART\n",
      "💚 GREEN HEART\n",
      "💛 YELLOW HEART\n",
      "💜 PURPLE HEART\n",
      "💝 HEART WITH RIBBON\n",
      "💞 REVOLVING HEARTS\n",
      "💟 HEART DECORATION\n",
      "💠 DIAMOND SHAPE WITH A DOT INSIDE\n",
      "💡 ELECTRIC LIGHT BULB\n",
      "💢 ANGER SYMBOL\n",
      "💣 BOMB\n",
      "💤 SLEEPING SYMBOL\n",
      "💥 COLLISION SYMBOL\n",
      "💦 SPLASHING SWEAT SYMBOL\n",
      "💧 DROPLET\n",
      "💨 DASH SYMBOL\n",
      "💩 PILE OF POO\n",
      "💪 FLEXED BICEPS\n",
      "💫 DIZZY SYMBOL\n",
      "💬 SPEECH BALLOON\n",
      "💭 THOUGHT BALLOON\n",
      "💮 WHITE FLOWER\n",
      "💯 HUNDRED POINTS SYMBOL\n",
      "💰 MONEY BAG\n",
      "💱 CURRENCY EXCHANGE\n",
      "💲 HEAVY DOLLAR SIGN\n",
      "💳 CREDIT CARD\n",
      "💴 BANKNOTE WITH YEN SIGN\n",
      "💵 BANKNOTE WITH DOLLAR SIGN\n",
      "💶 BANKNOTE WITH EURO SIGN\n",
      "💷 BANKNOTE WITH POUND SIGN\n",
      "💸 MONEY WITH WINGS\n",
      "💹 CHART WITH UPWARDS TREND AND YEN SIGN\n",
      "💺 SEAT\n",
      "💻 PERSONAL COMPUTER\n",
      "💼 BRIEFCASE\n",
      "💽 MINIDISC\n",
      "💾 FLOPPY DISK\n",
      "💿 OPTICAL DISC\n",
      "📀 DVD\n",
      "📁 FILE FOLDER\n",
      "📂 OPEN FILE FOLDER\n",
      "📃 PAGE WITH CURL\n",
      "📄 PAGE FACING UP\n",
      "📅 CALENDAR\n",
      "📆 TEAR-OFF CALENDAR\n",
      "📇 CARD INDEX\n",
      "📈 CHART WITH UPWARDS TREND\n",
      "📉 CHART WITH DOWNWARDS TREND\n",
      "📊 BAR CHART\n",
      "📋 CLIPBOARD\n",
      "📌 PUSHPIN\n",
      "📍 ROUND PUSHPIN\n",
      "📎 PAPERCLIP\n",
      "📏 STRAIGHT RULER\n",
      "📐 TRIANGULAR RULER\n",
      "📑 BOOKMARK TABS\n",
      "📒 LEDGER\n",
      "📓 NOTEBOOK\n",
      "📔 NOTEBOOK WITH DECORATIVE COVER\n",
      "📕 CLOSED BOOK\n",
      "📖 OPEN BOOK\n",
      "📗 GREEN BOOK\n",
      "📘 BLUE BOOK\n",
      "📙 ORANGE BOOK\n",
      "📚 BOOKS\n",
      "📛 NAME BADGE\n",
      "📜 SCROLL\n",
      "📝 MEMO\n",
      "📞 TELEPHONE RECEIVER\n",
      "📟 PAGER\n",
      "📠 FAX MACHINE\n",
      "📡 SATELLITE ANTENNA\n",
      "📢 PUBLIC ADDRESS LOUDSPEAKER\n",
      "📣 CHEERING MEGAPHONE\n",
      "📤 OUTBOX TRAY\n",
      "📥 INBOX TRAY\n",
      "📦 PACKAGE\n",
      "📧 E-MAIL SYMBOL\n",
      "📨 INCOMING ENVELOPE\n",
      "📩 ENVELOPE WITH DOWNWARDS ARROW ABOVE\n",
      "📪 CLOSED MAILBOX WITH LOWERED FLAG\n",
      "📫 CLOSED MAILBOX WITH RAISED FLAG\n",
      "📬 OPEN MAILBOX WITH RAISED FLAG\n",
      "📭 OPEN MAILBOX WITH LOWERED FLAG\n",
      "📮 POSTBOX\n",
      "📯 POSTAL HORN\n",
      "📰 NEWSPAPER\n",
      "📱 MOBILE PHONE\n",
      "📲 MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT\n",
      "📳 VIBRATION MODE\n",
      "📴 MOBILE PHONE OFF\n",
      "📵 NO MOBILE PHONES\n",
      "📶 ANTENNA WITH BARS\n",
      "📷 CAMERA\n",
      "📸 CAMERA WITH FLASH\n",
      "📹 VIDEO CAMERA\n",
      "📺 TELEVISION\n",
      "📻 RADIO\n",
      "📼 VIDEOCASSETTE\n",
      "📿 PRAYER BEADS\n",
      "🔀 TWISTED RIGHTWARDS ARROWS\n",
      "🔁 CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS\n",
      "🔂 CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY\n",
      "🔃 CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS\n",
      "🔄 ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS\n",
      "🔅 LOW BRIGHTNESS SYMBOL\n",
      "🔆 HIGH BRIGHTNESS SYMBOL\n",
      "🔇 SPEAKER WITH CANCELLATION STROKE\n",
      "🔈 SPEAKER\n",
      "🔉 SPEAKER WITH ONE SOUND WAVE\n",
      "🔊 SPEAKER WITH THREE SOUND WAVES\n",
      "🔋 BATTERY\n",
      "🔌 ELECTRIC PLUG\n",
      "🔍 LEFT-POINTING MAGNIFYING GLASS\n",
      "🔎 RIGHT-POINTING MAGNIFYING GLASS\n",
      "🔏 LOCK WITH INK PEN\n",
      "🔐 CLOSED LOCK WITH KEY\n",
      "🔑 KEY\n",
      "🔒 LOCK\n",
      "🔓 OPEN LOCK\n",
      "🔔 BELL\n",
      "🔕 BELL WITH CANCELLATION STROKE\n",
      "🔖 BOOKMARK\n",
      "🔗 LINK SYMBOL\n",
      "🔘 RADIO BUTTON\n",
      "🔙 BACK WITH LEFTWARDS ARROW ABOVE\n",
      "🔚 END WITH LEFTWARDS ARROW ABOVE\n",
      "🔛 ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE\n",
      "🔜 SOON WITH RIGHTWARDS ARROW ABOVE\n",
      "🔝 TOP WITH UPWARDS ARROW ABOVE\n",
      "🔞 NO ONE UNDER EIGHTEEN SYMBOL\n",
      "🔟 KEYCAP TEN\n",
      "🔠 INPUT SYMBOL FOR LATIN CAPITAL LETTERS\n",
      "🔡 INPUT SYMBOL FOR LATIN SMALL LETTERS\n",
      "🔢 INPUT SYMBOL FOR NUMBERS\n",
      "🔣 INPUT SYMBOL FOR SYMBOLS\n",
      "🔤 INPUT SYMBOL FOR LATIN LETTERS\n",
      "🔥 FIRE\n",
      "🔦 ELECTRIC TORCH\n",
      "🔧 WRENCH\n",
      "🔨 HAMMER\n",
      "🔩 NUT AND BOLT\n",
      "🔪 HOCHO\n",
      "🔫 PISTOL\n",
      "🔬 MICROSCOPE\n",
      "🔭 TELESCOPE\n",
      "🔮 CRYSTAL BALL\n",
      "🔯 SIX POINTED STAR WITH MIDDLE DOT\n",
      "🔰 JAPANESE SYMBOL FOR BEGINNER\n",
      "🔱 TRIDENT EMBLEM\n",
      "🔲 BLACK SQUARE BUTTON\n",
      "🔳 WHITE SQUARE BUTTON\n",
      "🔴 LARGE RED CIRCLE\n",
      "🔵 LARGE BLUE CIRCLE\n",
      "🔶 LARGE ORANGE DIAMOND\n",
      "🔷 LARGE BLUE DIAMOND\n",
      "🔸 SMALL ORANGE DIAMOND\n",
      "🔹 SMALL BLUE DIAMOND\n",
      "🔺 UP-POINTING RED TRIANGLE\n",
      "🔻 DOWN-POINTING RED TRIANGLE\n",
      "🔼 UP-POINTING SMALL RED TRIANGLE\n",
      "🔽 DOWN-POINTING SMALL RED TRIANGLE\n",
      "🕋 KAABA\n",
      "🕌 MOSQUE\n",
      "🕍 SYNAGOGUE\n",
      "🕎 MENORAH WITH NINE BRANCHES\n",
      "🕐 CLOCK FACE ONE OCLOCK\n",
      "🕑 CLOCK FACE TWO OCLOCK\n",
      "🕒 CLOCK FACE THREE OCLOCK\n",
      "🕓 CLOCK FACE FOUR OCLOCK\n",
      "🕔 CLOCK FACE FIVE OCLOCK\n",
      "🕕 CLOCK FACE SIX OCLOCK\n",
      "🕖 CLOCK FACE SEVEN OCLOCK\n",
      "🕗 CLOCK FACE EIGHT OCLOCK\n",
      "🕘 CLOCK FACE NINE OCLOCK\n",
      "🕙 CLOCK FACE TEN OCLOCK\n",
      "🕚 CLOCK FACE ELEVEN OCLOCK\n",
      "🕛 CLOCK FACE TWELVE OCLOCK\n",
      "🕜 CLOCK FACE ONE-THIRTY\n",
      "🕝 CLOCK FACE TWO-THIRTY\n",
      "🕞 CLOCK FACE THREE-THIRTY\n",
      "🕟 CLOCK FACE FOUR-THIRTY\n",
      "🕠 CLOCK FACE FIVE-THIRTY\n",
      "🕡 CLOCK FACE SIX-THIRTY\n",
      "🕢 CLOCK FACE SEVEN-THIRTY\n",
      "🕣 CLOCK FACE EIGHT-THIRTY\n",
      "🕤 CLOCK FACE NINE-THIRTY\n",
      "🕥 CLOCK FACE TEN-THIRTY\n",
      "🕦 CLOCK FACE ELEVEN-THIRTY\n",
      "🕧 CLOCK FACE TWELVE-THIRTY\n",
      "🕺 MAN DANCING\n",
      "🖕 REVERSED HAND WITH MIDDLE FINGER EXTENDED\n",
      "🖖 RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS\n",
      "🖤 BLACK HEART\n",
      "🗻 MOUNT FUJI\n",
      "🗼 TOKYO TOWER\n",
      "◽ WHITE MEDIUM SMALL SQUARE\n",
      "◾ BLACK MEDIUM SMALL SQUARE\n",
      "🗽 STATUE OF LIBERTY\n",
      "🗾 SILHOUETTE OF JAPAN\n",
      "🗿 MOYAI\n",
      "😀 GRINNING FACE\n",
      "😁 GRINNING FACE WITH SMILING EYES\n",
      "😂 FACE WITH TEARS OF JOY\n",
      "😃 SMILING FACE WITH OPEN MOUTH\n",
      "😄 SMILING FACE WITH OPEN MOUTH AND SMILING EYES\n",
      "😅 SMILING FACE WITH OPEN MOUTH AND COLD SWEAT\n",
      "😆 SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES\n",
      "😇 SMILING FACE WITH HALO\n",
      "😈 SMILING FACE WITH HORNS\n",
      "😉 WINKING FACE\n",
      "😊 SMILING FACE WITH SMILING EYES\n",
      "😋 FACE SAVOURING DELICIOUS FOOD\n",
      "😌 RELIEVED FACE\n",
      "😍 SMILING FACE WITH HEART-SHAPED EYES\n",
      "😎 SMILING FACE WITH SUNGLASSES\n",
      "😏 SMIRKING FACE\n",
      "😐 NEUTRAL FACE\n",
      "😑 EXPRESSIONLESS FACE\n",
      "☔ UMBRELLA WITH RAIN DROPS\n",
      "☕ HOT BEVERAGE\n",
      "😒 UNAMUSED FACE\n",
      "😓 FACE WITH COLD SWEAT\n",
      "😔 PENSIVE FACE\n",
      "😕 CONFUSED FACE\n",
      "😖 CONFOUNDED FACE\n",
      "😗 KISSING FACE\n",
      "😘 FACE THROWING A KISS\n",
      "😙 KISSING FACE WITH SMILING EYES\n",
      "😚 KISSING FACE WITH CLOSED EYES\n",
      "😛 FACE WITH STUCK-OUT TONGUE\n",
      "😜 FACE WITH STUCK-OUT TONGUE AND WINKING EYE\n",
      "😝 FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES\n",
      "😞 DISAPPOINTED FACE\n",
      "😟 WORRIED FACE\n",
      "😠 ANGRY FACE\n",
      "😡 POUTING FACE\n",
      "😢 CRYING FACE\n",
      "😣 PERSEVERING FACE\n",
      "😤 FACE WITH LOOK OF TRIUMPH\n",
      "😥 DISAPPOINTED BUT RELIEVED FACE\n",
      "😦 FROWNING FACE WITH OPEN MOUTH\n",
      "😧 ANGUISHED FACE\n",
      "😨 FEARFUL FACE\n",
      "😩 WEARY FACE\n",
      "😪 SLEEPY FACE\n",
      "😫 TIRED FACE\n",
      "😬 GRIMACING FACE\n",
      "😭 LOUDLY CRYING FACE\n",
      "😮 FACE WITH OPEN MOUTH\n",
      "😯 HUSHED FACE\n",
      "😰 FACE WITH OPEN MOUTH AND COLD SWEAT\n",
      "😱 FACE SCREAMING IN FEAR\n",
      "😲 ASTONISHED FACE\n",
      "😳 FLUSHED FACE\n",
      "😴 SLEEPING FACE\n",
      "😵 DIZZY FACE\n",
      "😶 FACE WITHOUT MOUTH\n",
      "😷 FACE WITH MEDICAL MASK\n",
      "😸 GRINNING CAT FACE WITH SMILING EYES\n",
      "😹 CAT FACE WITH TEARS OF JOY\n",
      "😺 SMILING CAT FACE WITH OPEN MOUTH\n",
      "😻 SMILING CAT FACE WITH HEART-SHAPED EYES\n",
      "😼 CAT FACE WITH WRY SMILE\n",
      "😽 KISSING CAT FACE WITH CLOSED EYES\n",
      "😾 POUTING CAT FACE\n",
      "😿 CRYING CAT FACE\n",
      "🙀 WEARY CAT FACE\n",
      "🙁 SLIGHTLY FROWNING FACE\n",
      "🙂 SLIGHTLY SMILING FACE\n",
      "🙃 UPSIDE-DOWN FACE\n",
      "♈ ARIES\n",
      "♉ TAURUS\n",
      "♊ GEMINI\n",
      "♋ CANCER\n",
      "♌ LEO\n",
      "♍ VIRGO\n",
      "♎ LIBRA\n",
      "♏ SCORPIUS\n",
      "♐ SAGITTARIUS\n",
      "♑ CAPRICORN\n",
      "♒ AQUARIUS\n",
      "♓ PISCES\n",
      "🙋 HAPPY PERSON RAISING ONE HAND\n",
      "🙌 PERSON RAISING BOTH HANDS IN CELEBRATION\n",
      "🙍 PERSON FROWNING\n",
      "🙎 PERSON WITH POUTING FACE\n",
      "🙏 PERSON WITH FOLDED HANDS\n",
      "♿ WHEELCHAIR SYMBOL\n",
      "🚀 ROCKET\n",
      "🚁 HELICOPTER\n",
      "🚂 STEAM LOCOMOTIVE\n",
      "🚃 RAILWAY CAR\n",
      "🚄 HIGH-SPEED TRAIN\n",
      "🚅 HIGH-SPEED TRAIN WITH BULLET NOSE\n",
      "🚆 TRAIN\n",
      "🚇 METRO\n",
      "🚈 LIGHT RAIL\n",
      "🚉 STATION\n",
      "🚊 TRAM\n",
      "🚋 TRAM CAR\n",
      "🚌 BUS\n",
      "🚍 ONCOMING BUS\n",
      "🚎 TROLLEYBUS\n",
      "🚏 BUS STOP\n",
      "🚐 MINIBUS\n",
      "🚑 AMBULANCE\n",
      "🚒 FIRE ENGINE\n",
      "⚓ ANCHOR\n",
      "🚓 POLICE CAR\n",
      "🚔 ONCOMING POLICE CAR\n",
      "🚕 TAXI\n",
      "🚖 ONCOMING TAXI\n",
      "🚗 AUTOMOBILE\n",
      "🚘 ONCOMING AUTOMOBILE\n",
      "🚙 RECREATIONAL VEHICLE\n",
      "🚚 DELIVERY TRUCK\n",
      "🚛 ARTICULATED LORRY\n",
      "🚜 TRACTOR\n",
      "🚝 MONORAIL\n",
      "🚞 MOUNTAIN RAILWAY\n",
      "🚟 SUSPENSION RAILWAY\n",
      "⚡ HIGH VOLTAGE SIGN\n",
      "🚠 MOUNTAIN CABLEWAY\n",
      "🚡 AERIAL TRAMWAY\n",
      "🚢 SHIP\n",
      "🚣 ROWBOAT\n",
      "🚤 SPEEDBOAT\n",
      "🚥 HORIZONTAL TRAFFIC LIGHT\n",
      "🚦 VERTICAL TRAFFIC LIGHT\n",
      "🚧 CONSTRUCTION SIGN\n",
      "⚪ MEDIUM WHITE CIRCLE\n",
      "⚫ MEDIUM BLACK CIRCLE\n",
      "🚨 POLICE CARS REVOLVING LIGHT\n",
      "🚩 TRIANGULAR FLAG ON POST\n",
      "🚪 DOOR\n",
      "🚫 NO ENTRY SIGN\n",
      "🚬 SMOKING SYMBOL\n",
      "🚭 NO SMOKING SYMBOL\n",
      "🚮 PUT LITTER IN ITS PLACE SYMBOL\n",
      "🚯 DO NOT LITTER SYMBOL\n",
      "🚰 POTABLE WATER SYMBOL\n",
      "🚱 NON-POTABLE WATER SYMBOL\n",
      "🚲 BICYCLE\n",
      "🚳 NO BICYCLES\n",
      "🚴 BICYCLIST\n",
      "🚵 MOUNTAIN BICYCLIST\n",
      "🚶 PEDESTRIAN\n",
      "🚷 NO PEDESTRIANS\n",
      "🚸 CHILDREN CROSSING\n",
      "⚽ SOCCER BALL\n",
      "⚾ BASEBALL\n",
      "🚹 MENS SYMBOL\n",
      "🚺 WOMENS SYMBOL\n",
      "🚻 RESTROOM\n",
      "🚼 BABY SYMBOL\n",
      "🚽 TOILET\n",
      "⛄ SNOWMAN WITHOUT SNOW\n",
      "⛅ SUN BEHIND CLOUD\n",
      "🚾 WATER CLOSET\n",
      "🚿 SHOWER\n",
      "🛀 BATH\n",
      "🛁 BATHTUB\n",
      "🛂 PASSPORT CONTROL\n",
      "🛃 CUSTOMS\n",
      "🛄 BAGGAGE CLAIM\n",
      "🛅 LEFT LUGGAGE\n",
      "⛎ OPHIUCHUS\n",
      "🛌 SLEEPING ACCOMMODATION\n",
      "🛐 PLACE OF WORSHIP\n",
      "🛑 OCTAGONAL SIGN\n",
      "🛒 SHOPPING TROLLEY\n",
      "⛔ NO ENTRY\n",
      "🇱 REGIONAL INDICATOR SYMBOL LETTER L\n",
      "⛪ CHURCH\n",
      "🛫 AIRPLANE DEPARTURE\n",
      "🛬 AIRPLANE ARRIVING\n",
      "🇲 REGIONAL INDICATOR SYMBOL LETTER M\n",
      "⛲ FOUNTAIN\n",
      "⛳ FLAG IN HOLE\n",
      "🛴 SCOOTER\n",
      "⛵ SAILBOAT\n",
      "🛵 MOTOR SCOOTER\n",
      "🛶 CANOE\n",
      "🛷 SLED\n",
      "🛸 FLYING SAUCER\n",
      "⛺ TENT\n",
      "🛹 SKATEBOARD\n",
      "⛽ FUEL PUMP\n",
      "✅ WHITE HEAVY CHECK MARK\n",
      "🧦 SOCKS\n",
      "🙄 FACE WITH ROLLING EYES\n",
      "🇳 REGIONAL INDICATOR SYMBOL LETTER N\n",
      "✊ RAISED FIST\n",
      "✋ RAISED HAND\n",
      "🙅 FACE WITH NO GOOD GESTURE\n",
      "🙆 FACE WITH OK GESTURE\n",
      "🙇 PERSON BOWING DEEPLY\n",
      "🙈 SEE-NO-EVIL MONKEY\n",
      "🧧 RED GIFT ENVELOPE\n",
      "🙉 HEAR-NO-EVIL MONKEY\n",
      "🇴 REGIONAL INDICATOR SYMBOL LETTER O\n",
      "🙊 SPEAK-NO-EVIL MONKEY\n",
      "✨ SPARKLES\n",
      "🧨 FIRECRACKER\n",
      "🇵 REGIONAL INDICATOR SYMBOL LETTER P\n",
      "❌ CROSS MARK\n",
      "❎ NEGATIVE SQUARED CROSS MARK\n",
      "🧩 JIGSAW PUZZLE PIECE\n",
      "🇶 REGIONAL INDICATOR SYMBOL LETTER Q\n",
      "❓ BLACK QUESTION MARK ORNAMENT\n",
      "❔ WHITE QUESTION MARK ORNAMENT\n",
      "❕ WHITE EXCLAMATION MARK ORNAMENT\n",
      "❗ HEAVY EXCLAMATION MARK SYMBOL\n",
      "🧪 TEST TUBE\n",
      "🧫 PETRI DISH\n",
      "➕ HEAVY PLUS SIGN\n",
      "➖ HEAVY MINUS SIGN\n",
      "➗ HEAVY DIVISION SIGN\n",
      "🦐 SHRIMP\n",
      "🦑 SQUID\n",
      "➰ CURLY LOOP\n",
      "➿ DOUBLE CURLY LOOP\n",
      "🧰 TOOLBOX\n"
     ]
    }
   ],
   "source": [
    "emoji_dict = {}\n",
    "for e in emoji_set:\n",
    "    emoji_dict[e] = unicode_table[unicode_table['id'] == str(hex(e)[2:]).upper()]['description'].iloc[0]\n",
    "\n",
    "for e in emoji_dict:\n",
    "    print(chr(e), emoji_dict[e])"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "* converting to an pandas Data Frame"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [],
   "source": [
    "emoji_array = [[e, chr(e), emoji_dict[e]] for e in emoji_dict]\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [],
   "source": [
    "emoji_frame = pd.DataFrame(emoji_array, columns=['code', 'character','descripion,'])\n",
    "emoji_frame.to_csv(\"emoji_descriptions.csv\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.6.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
